# WOK
TKWOK
MS

# MS_HSequenceOfMemberMet Class Reference

`#include <MS_HSequenceOfMemberMet.hxx>`

## Public Member Functions

| MS_HSequenceOfMemberMet ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MS_MemberMet)&anItem)
Standard_EXPORT void | Append (const Handle(MS_HSequenceOfMemberMet)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MS_MemberMet)&anItem)
Standard_EXPORT void | Prepend (const Handle(MS_HSequenceOfMemberMet)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_MemberMet)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_HSequenceOfMemberMet)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_MemberMet)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_HSequenceOfMemberMet)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MS_HSequenceOfMemberMet | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MS_MemberMet)&anItem)
Standard_EXPORT const Handle_MS_MemberMet & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MS_MemberMet & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MS_SequenceOfMemberMet & | Sequence () const
MS_SequenceOfMemberMet & | ChangeSequence ()
Standard_EXPORT Handle_MS_HSequenceOfMemberMet | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MS_SequenceOfMemberMet | mySequence

## Constructor & Destructor Documentation

MS_HSequenceOfMemberMet::MS_HSequenceOfMemberMet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MS_HSequenceOfMemberMet::Append | ( | const Handle(MS_HSequenceOfMemberMet)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfMemberMet::Append | ( | const Handle(MS_MemberMet)& | anItem | ) |

MS_SequenceOfMemberMet& MS_HSequenceOfMemberMet::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MS_MemberMet& MS_HSequenceOfMemberMet::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfMemberMet::Clear | ( |  | ) |

Standard_EXPORT void MS_HSequenceOfMemberMet::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MS_HSequenceOfMemberMet::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MS_HSequenceOfMemberMet::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfMemberMet)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfMemberMet::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_MemberMet)& | anItem
| ) |

Standard_EXPORT void MS_HSequenceOfMemberMet::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfMemberMet)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfMemberMet::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_MemberMet)& | anItem
| ) |

Standard_Boolean MS_HSequenceOfMemberMet::IsEmpty | ( |  | ) | const

Standard_Integer MS_HSequenceOfMemberMet::Length | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfMemberMet::Prepend | ( | const Handle(MS_HSequenceOfMemberMet)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfMemberMet::Prepend | ( | const Handle(MS_MemberMet)& | anItem | ) |

Standard_EXPORT void MS_HSequenceOfMemberMet::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MS_HSequenceOfMemberMet::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfMemberMet::Reverse | ( |  | ) |

const MS_SequenceOfMemberMet& MS_HSequenceOfMemberMet::Sequence | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfMemberMet::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_MemberMet)& | anItem
| ) |

Standard_EXPORT Handle_MS_HSequenceOfMemberMet MS_HSequenceOfMemberMet::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MS_HSequenceOfMemberMet MS_HSequenceOfMemberMet::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MS_MemberMet& MS_HSequenceOfMemberMet::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MS_SequenceOfMemberMet MS_HSequenceOfMemberMet::mySequence `[private]`

The documentation for this class was generated from the following file:

- MS_HSequenceOfMemberMet.hxx